dwww (1.13.4) unstable; urgency=medium

  * dwww-txt2html.c:
    + support long CVE/CAN identifiers;
    + switch to using https in links to bugs.debian.org and cve.mitre.org.
    + add `fall through' comments to fix FTBFS with gcc-7 (closes: #853379).
  * Re-enable the `pie' hardening option (lintian).
  * Bump debhelper compat mode to 10.
  * Standards-Version: 4.0.0 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 20 Jun 2017 22:13:20 +0200

dwww (1.13.3) unstable; urgency=medium

  * Fix a typo in the `Last-Modified' header name (closes: #850016, #850885).
  * Fix a spelling typo found by lintian.

 -- Robert Luberda <robert@debian.org>  Wed, 18 Jan 2017 21:47:05 +0100

dwww (1.13.2) unstable; urgency=medium

  * Fix FTBFS with gcc-6 (closes: #822712).
  * Move mozilla search plugin from /etc/iceweasel to /usr/share/firefox
    and /usr/share/firefox-esr directories.
  * Switch Vcc-Browser to cgit, Vcs-Git to https.
  * Standards-Version: 3.9.8.

 -- Robert Luberda <robert@debian.org>  Sat, 30 Apr 2016 15:17:55 +0200

dwww (1.13.1) unstable; urgency=medium

  * Disable `pie' hardening to fix FTBFS on some archs.

 -- Robert Luberda <robert@debian.org>  Sat, 13 Feb 2016 20:38:51 +0100

dwww (1.13.0) unstable; urgency=medium

  * Resolve an issue with false positives in dwww-cache (closes: #688903):
    + Fix a bug in the code that prevented the --clean action from updating
      the cache file, that in turn caused the false positives for entries
      starting with the same letter and having the same modification times.
    + Continue cleaning until no changes are done in order to remove entries
      that share the same cache file, what can happen after the cached file
      is removed (possibly by dwww-refresh-cache), and after that the
      `--store' action assigns the same cached file for a different entry.
    + Use a bit more random names for cached files and create them directly
      is proper subdirectories (instead of renaming temporary files) to
      reduce the odds of  sharing the same file names in different entries.
    + Store the last two bytes of size of the cached files for a more robust
      detection of outdated entries.
    + Introduce a magic number in .cache_db file to detect its format,
      also try to check for corruption of the file during loading.
    + Additionally print the outdated entries in `--list' and `--list-all',
      and change their output format a bit: remove unused permanent field,
      but add cached file size and entry validity fields.
  * Update dwww-cache.8 man page for the changes in the output of list
    commands, and mention dwww-refresh-cache command in the paragraphs
    related to cache cleaning.
  * Drop dwww.menu file to fix `command-in-menu-file-and-desktop-file'
    issued by lintian.
  * Enable all hardening flags via DEB_BUILD_MAINT_OPTIONS in debian/rules.
  * Add dwww-gnome-touristinfo.png icon from removed gonme-desktop-data
    package and use the icon in the desktop file (LP: #988937).
  * Switch mozilla search plugin into the OpenSearchDescription format, and
    install it into the location proper for the current version of iceweasel.
  * Turn debian/copyright into DEP-5 format.
  * Fix dwww-format-man not to die on symlinks, handle INT and QUIT signals
    to stop the script and fix a typo in its man page.
  * debian/control:
    + Use https in Vcs-Browser field (lintian);
    + Standards-Version: 3.9.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 13 Feb 2016 11:01:29 +0100

dwww (1.12.1) unstable; urgency=medium

  * apache.conf: add an `Alias /dwww /var/www/dwww' line to accommodate
    to the default document root change in apache 2.4.7 (closes: #734090).
  * apache.conf: enclose `Require' lines with `<IfModule mod_authz_host.c>'
    section (closes: #734957).
  * dwww-refresh-cache: change regexp used to find installed packages to
    include packages selected to install as well.
  * Add support for cross-building.
  * Standards-Version: 3.9.5 (no changes).

 -- Robert Luberda <robert@debian.org>  Mon, 13 Jan 2014 23:09:58 +0100

dwww (1.12.0) unstable; urgency=low

  * Apache 2.4 transition (closes: #669745):
    + move configuration file for apache into /etc/apache2/conf-available
      dir with dpkg-mainscript-helper, and add preinst script as work-around
      for the tool's bug #711598;
    + update the file with new `Require' directives;
    + enable `Require local' only by default to restrict access to dwww
      to localhost only (closes: #328906);
    + use dh-apache2 for handling apache2 in maintainer scripts;
    + require (via Breaks and Build-Conflicts) version 2.2.4-6~ or later
      of apache2 packages (see #711479, #711483).
  * Fix FTBFS with clang.
  * dwww.cron.weekly: pass `-t' option to ionice to ignore eventual failures
    to set the priority (closes: #690398).
  * Update Makefiles to properly handle CFLAGS from environment and make build
    process more verbose.
  * Standards-Version: 3.9.4 (no changes).
  * Build with large file support (lintian).
  * Add Keywords field to desktop file (lintian).

 -- Robert Luberda <robert@debian.org>  Wed, 12 Jun 2013 07:52:48 +0200

dwww (1.11.8) unstable; urgency=low

  * dwww-find: Make regexp used to get packages' description from apt-cache
    output aware of the new `Description-xx' fields.
  * Bump build-dependency on debhelper for v9 (lintian).

 -- Robert Luberda <robert@debian.org>  Sat, 11 Feb 2012 23:57:16 +0100

dwww (1.11.7) unstable; urgency=low

  * debian/templates: set dwww/index_docs default to false (closes: #645240).
  * debian/config: check if @ret is initialized before referencing
    it (closes: #646988).
  * Switch to debhelper v9 for dpkg-buildflags support.
  * Fix errors found by cppcheck:
    + dwww-cache.c: memory leak;
    + dwww-txt2html.c: undefined behavior: variable is used as parameter
      and destination in s[n]printf().
  * makefile_common: define msg variable also when MAKE_VERBOSE is set.
  * debian/control: correct Vcs-Browser field.

 -- Robert Luberda <robert@debian.org>  Sun, 20 Nov 2011 23:49:42 +0100

dwww (1.11.6) unstable; urgency=low

  * Add Italian translation of the debconf templates (closes: #620530).
  * Add Danish translation of the debconf templates (closes: #626301).
  * Improve configuration file management:
    + include all supported variables and provide theirs descriptions
      (closes: #622892);
    + add a ConfigFile.pm utility module;
    + update maintainer scripts and use ucf to manage changes in the file.
  * Remove references to non-FHS dirs like /usr/doc from programs and
    documentation. Use /usr/local/share/{doc,man,info} hierarchy instead of
    /usr/local/{doc,man,info}.
  * debian/control:
    + sort dependency fields with wrap-and-sort from the devscripts package;
    + add build dependency on lsb-release;
    + bump Standards-Version to 3.9.2 (no changes);
    + add VCS-* fields;
    + add dependency on ucf.

 -- Robert Luberda <robert@debian.org>  Mon, 27 Jun 2011 20:10:10 +0200

dwww (1.11.5) unstable; urgency=low

  * Upload to unstable.
  * dwww-refresh-cache: while generating list of packages, do not exclude
    packages in triggers-pending/triggers-awaited state.
  * dwww-find:
    + call dpkg-query directly instead of dpkg when dlocate is not available;
    + quote special regexp characters for `dlocate/dpkg-query -S' arguments;
    + split arguments passed to the program on whitespaces.
  * debian/rules:
    + use minimised debhelper rules files;
    + set CFLAGS and LDFLAGS from dpkg-buildflags;
    + add build-{arch,indep} targets.
  * Makefile: don't create /var/lib/dwww/html directory.
  * dwww.preinst, dwww.lintian, dwww.install: removed, no longer needed.
  * dwww.config: Fix path to dwww.swish++.index file.

 -- Robert Luberda <robert@debian.org>  Tue, 08 Feb 2011 23:30:59 +0100

dwww (1.11.4) experimental; urgency=low

  * dwww.cgi, dwww-find, dwww-build-menu: when a single doc-base file registers
    multiple files in a format that doesn't provide any index file, show a list
    of all such files (closes: #191534).
  * functions.sh: fix functions used to re-creating cache directory.

  * Set source format to `3.0 (native)'.
  * Bump debhelper compat mode to 8.
  * Standards-Version: 3.9.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 19 Jan 2011 20:39:37 +0100

dwww (1.11.3) unstable; urgency=low

  * Really ignore dpkg-query errors (closes: #561653).
  * Remove asterisks from Debian.NEWS (lintian).

 -- Robert Luberda <robert@debian.org>  Wed, 06 Jan 2010 23:19:48 +0100

dwww (1.11.2) unstable; urgency=low

  * DwwInitialize.pm: convert DWWW_DOCPATH to array even if dwww.conf file
    does not exist or is not readable (closes: #560422).
  * dwww-refresh-cache: ignore dpkg-query errors (closes: #561653).
  * Upgrade Suggests into Recommends on  swish++  (closes: #530282).
  * dwww-cache.c: small refactoring, hopefully fix FTBFS on Ubuntu.
  * Bump Standards-Version to 3.8.3.
  * rules: remove dh_desktop call (lintian).
  * Install lintian overrides for bogus `unused debconf template' infos.

 -- Robert Luberda <robert@debian.org>  Wed, 23 Dec 2009 17:39:04 +0100

dwww (1.11.1) unstable; urgency=low

  * dwww.css.in:
    + move logo from main background to head background;
    + apply a few additional Harold's fixes.
  * dwww-build: add support for local user CSS file.
  * Move the dwww man page from section 8 to more appropriate section 7,
    update references in other pages and README file.
  * dwww(7): describe how to customise dwww style sheets.
  * debian/NEWS: announce the design changes.
  * mozilla/dwww.png: converted from dwww.gif, made transparent.
  * dwww-refresh-cache: don't exclude half-configured packages.
  * dwww-txt2html.c: fix bug in utf8hyphen to '-' conversion, and remove
    some debugging output, both introduced in previous version.
  * common.mk: pass -Werror to gcc.
  * Refer to GPL-2 in copyright (lintian).

 -- Robert Luberda <robert@debian.org>  Sun, 15 Feb 2009 18:51:39 +0100

dwww (1.11.0) experimental; urgency=low

  * Apply a patch from Harold Melton (kv5r at kv5r.com) for a better design
    of dwww-generated pages with a light peach background (closes: #180733),
    menu bar, and larger pre/code/tt mono face for the man pages, much more
    suitable for the newer 1280x1024 LCD monitors with sub-pixel anti-aliasing.
    His changes are:
    + Added css file manuals.css;
    + Change most dwww template files;
    + Minor output-related  changes in dwww.cgi, dwww-build, dwww-build-menu,
      dwww-convert, dwww-find and Utils.pm;
    + Changed iso-8859-1 to UTF-8 in all files, for compatibility with some
      of the newer documentation (some were displaying wacky characters).
    + Logos: created a ubuntu.png; recreated a better debian.png.
   Many thanks for the patch, Harold!

  * Rename manuals.css to dwww.css.
  * Standardise menu bar in `by name' and `by section' man indices.
  * dwww-txt2html.c: convert utf8hyphen to '-'.
  * Add desktop file based on patch from the bug log (closes: #478845),
    but with the following changes:
    + remove encoding line (lintian);
    + exec dwww(1) instead of x-www-browser (lintian).
  * dwww-build-menu: don't display "..." when menu section is expanded.
  * dwww-build, Utils.pm: don't specify widths for cells of `man by name'
    table.
  * Fix minus as hyphen usage in dwww-index++(8), dwww-convert(8), dwww(8),
    and dwww-build-menu(8) man pages.
  * Reorganise source tree:
    + rename lib to data;
    + make dirs src and scripts and move there files from top-level directory;
    + move templates to data/templates;
    + move mozilla-dwww.* files to data/mozilla;
    + remove dwww.man.template, it's no used;
    + compile with -Wextra, fix warnings;
    + use build system from doc-base.
  * dwww-text2html: add support for LP: tags.
  * dwww-convert: ignore broken links in BuiltinDwww2HTML().
  * Reorganise binary tree:
    + move template files to new templates sub-directory of /usr/share/dwww;
    + move mozilla files to new mozilla sub-dir.
  * dwww-links: put link into /usr/share/iceape instead of /usr/lib/mozilla.
  * Made binary package a bit different when compiled on Ubuntu:
    + use theirs logo on the dwww pages;
    + install search plugins in unbranded directories.
  * Update copyright.
  * Standards-Version: 3.8.0 (no changes).
  * Remove 2nd "Section: doc" line from control file (lintian).
  * Bump debhelper compat version to 7.

 -- Robert Luberda <robert@debian.org>  Fri, 30 Jan 2009 22:10:54 +0100

dwww (1.10.15) unstable; urgency=low

  * Upload to unstable.
  * Add Galician translation of debconf templates (closes: #482671).
  * Exclude /var/www/dwww from binary package (lintian).

 -- Robert Luberda <robert@debian.org>  Mon, 26 May 2008 20:23:07 +0200

dwww (1.10.14) experimental; urgency=low

  * Remove menu-method file and completely drop support for registering docs
    with menu files.
  * dwww-txt2html.c:
    + better support for UTF8-encoded documents;
    + add --utf8 option;
    + refactor code;
    + handle basic CSI sequences.
  * dwww-txt2html(8): updated.
  * dwww-refresh-cache: remove dwww-build-menu* temporary dirs.
  * dwww-quickfind, dwww-refresh-cache, dwww-find: add support for displaying
    other packages built from the same source (closes: #49353, as all other
    things mentioned is have been already fixed).
  * dwww-convert: use `man -E' to show man pages in UTF-8.
  * control: remove dependency on menu, bump dependency on man-db.

 -- Robert Luberda <robert@debian.org>  Tue, 13 May 2008 22:09:32 +0200

dwww (1.10.13) unstable; urgency=medium

  * dwww-build-menu: Don't fail if no documents are registered with doc-base.

 -- Robert Luberda <robert@debian.org>  Sun, 20 Apr 2008 12:35:29 +0200

dwww (1.10.12) unstable; urgency=medium

  * dwww-build-menu, dwww-index++: don't parse /var/lib/dwww/menu-methods
    compatibility dir. This means that support for old method of registering
    docs with dwww is effectively dropped (however update-menus still is
    used until doc-base switches to call dwww-update-menu directly).
  * dwww-build-menu(8): updated for the above change.
  * dwww.preinst: run background building of dwww pages in a new session to
    avoid apt bug#463030.
  * dwww-cache.c: print real help message.
  * dwww-refresh-case: also clean temporary dirs left by dwww-build and
    dwww-build-menu.

 -- Robert Luberda <robert@debian.org>  Thu, 10 Apr 2008 21:25:39 +0200

dwww (1.10.11) unstable; urgency=low

  * dwww-convert, dwww-find, dwww-quickfind:
    + pass "--" before arguments to external commands call,
    + add support for "--" options' separator.
  * Build with debhelper v6.
  * debian/copyright: add copyright notice (lintian).
  * lib/menu*start: set charset to UTF-8.
  * debian/control: bump dependency on doc-base.
  * dwww-convert: fix setting encoding of copyright and changelogs files,
    which got broken in 1.10.6.

 -- Robert Luberda <robert@debian.org>  Sun, 24 Feb 2008 11:49:32 +0100

dwww (1.10.10) unstable; urgency=low

  * dwww-index++:
    + apply patch with improvements from Ian Zimmerman (closes: #454757),
    + rewrite and refactor the code,
    + add support  for incremental indexing (closes: #454612). By default
      generate full index each month and incremental index each week.
  * dwww-refresh-cache: made it work when /var/cache/dwww is a symlink.
  * cron.weekly: use ionice(1) to set the lowest io scheduling class.
  * Add support for https protocol (closes: #456371).
  * Remove empty /u/s/lintian/overrides directory (lintian).
  * Standards-Version: 3.7.3 (no changes).
  * Update documentation.

 -- Robert Luberda <robert@debian.org>  Sat, 15 Dec 2007 18:12:58 +0100

dwww (1.10.9) unstable; urgency=low

  * Read doc-base files from /var/lib/doc-base/documents.
  * Bump dependency on doc-base.

 -- Robert Luberda <robert@debian.org>  Sun, 02 Dec 2007 14:33:15 +0100

dwww (1.10.8) unstable; urgency=low

  * Switch dependency to apache2|httpd-cgi, since apache has been removed from
    sid.

 -- Robert Luberda <robert@debian.org>  Wed, 17 Oct 2007 15:51:16 +0200

dwww (1.10.7) unstable; urgency=low

  * dwww-convert: set the MAN_KEEP_FORMATTING environment variable before
    calling man, remove `-Tascii8' option from man added in dwww 1.9.28.
  * debian/control: bump man-db dependency to >> 2.5.0.
  * dww-find:
    + support the Homepage control field;
    + try to avoid shell while executing external commands.

 -- Robert Luberda <robert@debian.org>  Mon, 15 Oct 2007 20:26:57 +0200

dwww (1.10.6) unstable; urgency=low

  * Don't override encoding of html documents (closes: #403180).
  * Fix lintian's ` debian-rules-ignores-make-clean-error' warning.
  * Set mime type of shtml files to text/html.

 -- Robert Luberda <robert@debian.org>  Tue, 25 Sep 2007 23:51:33 +0200

dwww (1.10.5) unstable; urgency=low

  * dwww.cgi (comment at the top): Replace reference to README.Debian
    with an instruction how to enable CGI in apache2 (closes: #417095).

 -- Robert Luberda <robert@debian.org>  Sun, 01 Apr 2007 20:58:35 +0200

dwww (1.10.4) unstable; urgency=medium

  * dwww.menu-method: check for existence of the /var/lib/dwww/menu-method
    directory (used for backward compatibility reasons) before trying to remove
    files from that location.

 -- Robert Luberda <robert@debian.org>  Fri, 30 Mar 2007 22:23:16 +0200

dwww (1.10.3) unstable; urgency=low

  * Initial Russian translation of debconf templates (closes: #406243).
    Thanks to Yuri Kozlow.

 -- Robert Luberda <robert@debian.org>  Sun, 14 Jan 2007 13:16:09 +0100

dwww (1.10.2) unstable; urgency=low

  * swish++.conf: Half a value of `WordThreshold' and add `StoreWordPositions
    no' to make index++ consume less memory and disk space (closes: #352774).

 -- Robert Luberda <robert@debian.org>  Sat,  6 Jan 2007 18:04:30 +0100

dwww (1.10.1) unstable; urgency=high

  * Applied NMU patch from Frank Küster, see previous log entry.
    Thanks, Frank! (Note however the NMU was never uploaded).
  * debian/postinst:
    + restart all apache web servers, not apache2 only;
    + use invoke-rc.d to do the job.
  * dwww-find:
    + set proper type for links generated by SearchDocFile();
    + BasePkgFiles(): make regexp not to fail on packages' names containing
      metacharacters (e.g. `swish++').

 -- Robert Luberda <robert@debian.org>  Mon,  1 Jan 2007 22:53:01 +0100

dwww (1.10.0-0.1) unstable; urgency=high

  * NMU to fix RC, important and l10n bugs
  * Change firefox to iceweasel in dwww.links.  This broke installing
    iceweasel when dwww was present, hence the urgency. (closes: #404775,
    #404662)
  * In postinst, restart apache2 if it is running (closes: #374665)
  * Use readlink -f instead of realpath, which isn't available in the
    packages dwww depends on (closes: #404666)
  * Spanish debconf translation update, by Steve Lord Flaubert
    <stonescenter@gmail.com> and others (closes: #397061, #404748,
    #396474, #385051)

 -- Frank Küster <frank@debian.org>  Thu, 28 Dec 2006 17:58:59 +0100

dwww (1.10.0) unstable; urgency=low

  * Upload to unstable.
  * Summarise the most important changes made from the last unstable
    version in debian/NEWS.
  * Update man pages.
  * dwww.prerm: remove /var/www/dwww on package removal.

 -- Robert Luberda <robert@debian.org>  Sun,  4 Jun 2006 16:54:48 +0200

dwww (1.9.95) experimental; urgency=low

  * Move perl modules to perl/Debian/Dwww dir.
  * dwww-convert: Re-add support for DWWW_USEFILEDIR.
  * dwww-find: fix a typo.
  * dwww.links: move firefox search plugin to /usr/share/firefox dir.
  * debian/dwww.cron.*: remove unneeded source'ing the functions.sh file.
  * debian/*: bump to debhelper v5.
  * README: remove the note about apache2.
  * Remove realpath sources.
  * dwww.templates, po/*: fix `malformed-prompt-in-templates' lintian
    warning by replacing ending dots with colons.
  * Standards-Version: 3.7.2 (no changes needed).
  * Remove unneeded source.linian-overrides file.

 -- Robert Luberda <robert@debian.org>  Tue, 30 May 2006 21:32:03 +0200

dwww (1.9.94) experimental; urgency=low

  * Stop building the realpath package, which was moved to its own source
    package.

 -- Robert Luberda <robert@debian.org>  Sun,  7 May 2006 21:50:21 +0200

dwww (1.9.93) experimental; urgency=low

  * Common.pm: add missing slash for dirs URL (closes: #365552).
  * dwww-find: include links for some common package files, like copyright,
    changelogs or READMEs.
  * control: lower the menu package dependency.
  * dwww-build: description for man pages' section 3xp.

 -- Robert Luberda <robert@debian.org>  Thu,  4 May 2006 21:52:38 +0200

dwww (1.9.92) experimental; urgency=low

  * dwww.cgi: thttpd is broken and won't work with dwww (see bug#164306),
    warn users about it.
  * Utils.pm, dwww-build*: Add RenameDir() function, which uses rename()
    or File::NCopy::copy() to rename the temporary directory into the real
    one (closes: #363319).
  * Move GetURL() funcions from various perl scripts to newly added Common.pm
    module.
  * debian/control: Add dependency on libfile-ncopy-perl for the above change.
  * COPYING: Update FSF address.
  * dwww-format-man: rewrite in Perl to avoid su with its new behaviour.
  * Update dwww-format-man(8) page.
  * dwww-convert, dwww.cgi: add and pass new internal option (--no-path-info)
    to mark the arguments as using the old-style dwww URLs (i.e. not using
    PATH_INFO variable).
  * lib/dwww.template: use the new-style URL for the /usr/share/doc directory.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Apr 2006 23:37:15 +0200

dwww (1.9.91) experimental; urgency=low

  * dwww-build, dwww-build-menu: generate dwww HTML dir directly
    in DWWW_DOCROOTDIR (i.e. /var/www/) (closes: #337158) to make
    dwww work with thttpd.
  * lib/*: use GET instead of POST for form submission (closes: #356023).
  * dwww.menu-method: add removemenu entry (closes: #358046).
  * apache.conf: remove alias for /dwww, use /var/www/dwww in Directory entry.
  * preinst:
    + remove /var/lib/dwww/html dir on upgrade to this version.
    + also remove some old stuff from the script.
  * Add support for searching packages containing file given by user:
    + lib*: include link for "Find package" using %MENUADD% and %FILEURL%
      variables.
    * dwww-convert: support those variables.
    + dwww-find: add --docfile argument.
    + moved printing HTTP headers from dwww-cgi to dwww-find.
  * Utils.pm: show the correct message in CheckAccess().

 -- Robert Luberda <robert@debian.org>  Sat, 25 Mar 2006 14:27:02 +0100

dwww (1.9.90) experimental; urgency=low

  * Pass file locations using the PATH_INFO variable, not the QUERY_STRING.
    This allows us to send HTML files directly to client, without any
    convertions, so any embeeded javascript will just work (closes: #265573).

  * dwww.cgi, dwww-build, and others: update for the above change.
  * dwww-convert:
    + rewritten in Perl
    + use MIME:Types module for handling mime types.
    + move access checking code to Dwww::Utils.
    + drop html2html and css2css conversions code, no longer needed.
    + temporary drop handling of DWWW_USEFILEDIR, will be readded soon.
  * Dwww/Initialize.pl: split DWWW_DOCPATH & ALLOWEDLINKPATH into array
    for better access in other modules.
  * Dwww/Utils.pl:
    + Add CheckAccesss & StripDir functions, to check if we're allowed to
      show the requested file to client. Now we're using Cwd::realpath
      module instead of realpath(1) program.
    + Add RedirectToURL and ErrorMsg functions.
  * dwww-txt2html: add links to CVE and CAN lists.
  * debian/control: add dependency on libmime-types-perl & mime-support,
    drop dependency on realpath.

 -- Robert Luberda <robert@debian.org>  Sat, 18 Feb 2006 16:19:41 +0100

dwww (1.9.28) unstable; urgency=low

  * dwww-convert: while converting man pages pass `-Tascii8' argument to
    the man program. With this argument man seems not to filter the page
    with col(1). See Bug#340673.
  * Dwww/Initialize.pm: close filehandle used to read the dwww.conf file.

 -- Robert Luberda <robert@debian.org>  Sun, 22 Jan 2006 12:05:47 +0100

dwww (1.9.27) unstable; urgency=low

  * Fix FTBFS with new make (closes: #347357).
  * Initial translations of debconf templates:
    + Swedish (closes: #339547)
    + Portuguese (closes: #336926).
  * realpath.1: add reference to basename(1) and dirname(1) (closes: #342149).
  * menu-method: update path for install-menu program (lintian).

 -- Robert Luberda <robert@debian.org>  Sat, 14 Jan 2006 12:06:10 +0100

dwww (1.9.26) unstable; urgency=low

  * dwww.cgi: delete unsafe environment variables like IFS (closes: #330663).
  * dwww-refresh-cache: fix the find command warnings (closes: #328721).
  * Install searchplugins for mozilla & firefox (closes: #328945).

 -- Robert Luberda <robert@debian.org>  Wed,  5 Oct 2005 22:06:41 +0200

dwww (1.9.25) unstable; urgency=low

  * dwww.postinst: Fix confusing error message when $cgiuser is set to
    "root" (closes: #326796).
  * dwww-find: Remove the newly introduced 'Tag:' field from packages
    descriptions.
  * Fix possible bashisms as found by lintian in the maintainer scripts.

 -- Robert Luberda <robert@debian.org>  Fri, 16 Sep 2005 00:27:35 +0200

dwww (1.9.24) unstable; urgency=low

  * Initial Czech translation of debconf messages (closes: #315836).
    Thanks to Miroslav Kure <kurem(at)upcase.inf.upol.cz>.
  * dww-index++: change temporary file name, so it can be eventually
    cleaned by dwww-refresh-cache.

 -- Robert Luberda <robert@debian.org>  Sat, 16 Jul 2005 21:09:01 +0200

dwww (1.9.23) unstable; urgency=low

  * realpath: implement --zero option (closes: #307018), update man page.
  * Correct German translation of debconf templates (closes: #312410)
    Thanks to Jens Seidel <jensseidel(at)users.sf.net>.
  * Depend on httpd-cgi, not on httpd (closes: #186395).
  * Build-depend on the newest debhelper to have menu file moved to
    /usr/share/menu.
  * Dwww/*.pm: use perl built-in functions to get date and hostname instead
    of spawning external programs.
  * Standards-Version: 3.6.2.

 -- Robert Luberda <robert@debian.org>  Thu, 23 Jun 2005 22:56:34 +0200

dwww (1.9.22) unstable; urgency=low

  * Add Vietnamese translation of debconf templates (closes: #311600).
    Thanks to Clytie Siddall <clytie(at)riverland.net.au>.
  * dwww-build: refer to external BTS documentation if the doc-debian
    is not installed (closes: #309951).
  * dwww-build: use Cwd 'realpath' instead of local no-op function.

 -- Robert Luberda <robert@debian.org>  Sun,  5 Jun 2005 16:06:34 +0200

dwww (1.9.21) unstable; urgency=medium

  * dwww-find: surround the search argument passed to man or dpkg with
    quotation marks.
  * dwww-find: add <h2> header on the reg. docs search results page
    to make it look like other pages.
  * Utils.pm: remove some unnecessary spaces.

 -- Robert Luberda <robert@debian.org>  Fri,  6 May 2005 22:49:24 +0200

dwww (1.9.20) unstable; urgency=low

  * Add two new cache files: one for caching parsed contents of the doc-base
    files and the second one for mapping doc-base files names to package
    names.
  * Introduced the new script: dwww-refresh-cache to generate the second of
    the above mentioned cache and to manage the cache directory in general.
  * dwww-build-menu:
    + generate the first of above mentioned files while building the menu
    + use the second cache file to display links to packages including
      the doc-base files.
  * dwww-find: make use of the first cache file and add the "Registered
    documentation" section to program/package search output page.
  * dwww-refresh-cache: clear possible temporary files generated by index++
    in case dwww-index++ was interrupted.
  * dwww.cron.daily: simplified; call dwww-refesh-cache.
  * Updated dwww(8) man page.
  * Makefile, functions.sh.in: simplified generation of the dwww variables
    set in the functions.sh script.
  * dwww-convert: redirect error output of man program to /dev/null not to
    clutter the web server log files with bogus "reformatting..." messages.

 -- Robert Luberda <robert@debian.org>  Sat,  9 Apr 2005 17:42:46 +0200

dwww (1.9.19) unstable; urgency=low

  * lib/man-in-section.start: correct logo image height.
  * dwww-build: a few missing sections descriptions.
  * lib/menu*: make menu background colour darker, so it's displayed on LCD
    monitors.
  * dwww-find: fix searching for a package or program when quickfind cache
    file is not available.
  * dwww-build.menu.8: update-menus man page is in the section 1, not 8.
  * swish++.conf: generate temporary files in /var/cache/dwww, not
    in /var/lib/dwww.

 -- Robert Luberda <robert@debian.org>  Thu,  7 Apr 2005 23:57:07 +0200

dwww (1.9.18) unstable; urgency=medium

  * Fix typo in the dwww(1) man page (closes: #302824).
  * dwww-build: added missing sections descriptions - extracted all manual
    sections from the Contents-i386.gz file and wrote their descriptions.
  * Replace the Debian logo with a better, PNG version stolen from the
    info2www package.
  * dwww-build-menu: don't display dwww warnings when doc-base file does
    not contain title or abstract fields.

 -- Robert Luberda <robert@debian.org>  Mon,  4 Apr 2005 08:06:31 +0200

dwww (1.9.17) unstable; urgency=low

  * Dwww/Initialize.pm: correct broken regexp used to read configuration file.
  * Move swish++ and quickfind.dat cache files to from /var/lib/dwww to
    /var/cache/dwww. Also change dwww-cache directory to /var/cache/dwww/db.
  * lib/menu* templates: change background colour of the left side menu to some
    nicer value.
  * Include /etc/dwww/apache.conf file symlinked from /etc/apache*/conf.d/dwww
    (closes: #298678).
  * dwww-index++:
    + add DWWW_INDEX_DOCUMENTATION variable to allow disabling documentation
      indexing.
    + use man2html's generated index of man pages when the another newly
      added configuration variable DWWW_MERGE_MAN2HTML_INDEX is set to `yes'.
    + split `Files:' field on spaces.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Mar 2005 11:06:34 +0100

dwww (1.9.16) unstable; urgency=low

  * dwww.menu-method: rename repeat_lang to outputlanguage (closes: #282494).
  * lib/menu.end: temporaily removed link to the "errors & warnings" page
    (but the page itself is still generated); I will restore it after sarge is
    released.
    BTW. I think it should be lintian (or linda) job to report errors in
    doc-base files.

 -- Robert Luberda <robert@debian.org>  Tue, 23 Nov 2004 20:25:02 +0100

dwww (1.9.15) unstable; urgency=low

  * Rebuild for unstable.

 -- Robert Luberda <robert@debian.org>  Thu, 26 Aug 2004 20:48:05 +0200

dwww (1.9.14) testing-proposed-updates; urgency=low

  * Fix bad English grammar in debconf templates (closes: #265658).
    Thanks to Julian Mehnle <julian@mehnle.net> for the patch!
  * Run debconf-updatepo and manually remove any `#,fuzzy' marks.
  * README: added short note about the cgi module disabled by default
    in apache2 (closes: #262328).
  * Put some stupid ;-) comment at the top of dwww.cgi in case of
    it would be displayed instead of executed...

 -- Robert Luberda <robert@debian.org>  Thu, 26 Aug 2004 19:39:54 +0200

dwww (1.9.13) unstable; urgency=low

  * New, simplified front page layout (closes: #253403)
    Many thanks to August Mayer <amayer@cosy.sbg.ac.at> for this!
  * Allow `+' in mail addresses (closes: #261215).

 -- Robert Luberda <robert@debian.org>  Thu, 29 Jul 2004 23:42:39 +0200

dwww (1.9.12) unstable; urgency=medium

  * `realpath -s' works with relative pathnames again (closes: #253494).

 -- Robert Luberda <robert@debian.org>  Mon, 14 Jun 2004 23:43:59 +0200

dwww (1.9.11) unstable; urgency=low

  * Correct `realpath -s' which incorrectly treated all files containing
    `.' or `..' as if they were the `.' or `..' directories (closes: #250455).
    Thanks to mwright@acad.stedwards.edu for noticing this.
  * Add source lintian overrides file for `cvsignore-file-in-source'.

 -- Robert Luberda <robert@debian.org>  Mon, 24 May 2004 21:36:30 +0200

dwww (1.9.10) unstable; urgency=low

  * Add Dutch translation of debconf templates (closes: #245267)
    Thanks to Luk Claes <luk.claes@ugent.be>.
  * dwww.menu-method: set repeat_lang=""; to be consistent with doc-base
    which do not support translations.

 -- Robert Luberda <robert@debian.org>  Fri, 30 Apr 2004 00:37:24 +0200

dwww (1.9.9) unstable; urgency=low

  * cron.daily: recreate /var/cache/dwww if needed (closes: #241920).
  * dwww-txt2html.c: stricter checking of mail addresses (closes: #243088).

 -- Robert Luberda <robert@debian.org>  Sun, 18 Apr 2004 18:03:51 +0200

dwww (1.9.8) unstable; urgency=low

  * Add Japanese translation of debconf templates (closes: #236983).
    Thanks to OHURA Makoto <ohura@debian.org>.
  * Run debconf-updatepo.
  * dwww-quickfind.c: parse package list separated with commas.

 -- Robert Luberda <robert@debian.org>  Sat, 27 Mar 2004 11:16:02 +0100

dwww (1.9.7) unstable; urgency=low

  * dwww-find improve searching for menu items:
    + make search results independent of search words order (closes: #225050)
    + quote perl regexp characters, so e.g searching for `..' does not return
      all menu entries.
  * debian/control: mention `readlink -f' in the realpath package's
    description (closes: #212119).
  * Minor improvements in the realpath(1) man page.

 -- Robert Luberda <robert@debian.org>  Sat, 24 Jan 2004 12:02:43 +0100

dwww (1.9.6) unstable; urgency=low

  * dwww-build rewritten in Perl:
    + supports strange characters in man pages names.
    + combine "man by section index" and "man by name index" pages into
      one page, as suggested in #49353
    + change structure of http://localhost/dwww/man/ directory

  * Updated dwww templates.
  * Fixed typos in dwww-find(8) and dwww-index++(8) man pages.
  * Updated a Brazilian Portuguese debconf template translation.
    Thanks to Andre Luis Lopes <andrelop@ig.com.br>. (Closes: #207966).
  * Standards-Versions: 3.6.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Thu, 11 Sep 2003 19:47:48 +0200

dwww (1.9.5) unstable; urgency=medium

  * dwww-build: limit characters, which can be used in man pages' paths,
    to alphanumerics and few other known characters. Now we just ignore
    broken man pages with a quotation mark in section name (closes: #204903).
  * dwww.config: Removed a bogus `print "$p\n"' from mkdir_p procedure.
    It confused debconf and caused strange errors in some cases.
    (closes: #189378)
  * Description improvements (closes: #206039).

 -- Robert Luberda <robert@debian.org>  Wed, 20 Aug 2003 08:22:14 +0200

dwww (1.9.4) unstable; urgency=low

  * dwww: use sensible-browser to load URLs (closes: #201101).
    + updated dwww(1) man page.
    + added dependency on debianutils (>=2.5) for sensible-browser.

  * dwww-convert:
    + when converting html files, do not set charset in HTTP header.
      Proper charset should be set in the html file itself using
      appropriate META tag (closes: #202710).
    + set charset of changelog.Debian.gz files to UTF-8.

  * Minor fixes in dwww-build and dwww's templates.
  * Recode this changelog to UTF-8.
  * Standards-Version: 3.6.0.

 -- Robert Luberda <robert@debian.org>  Sun, 27 Jul 2003 18:16:36 +0200

dwww (1.9.3) unstable; urgency=low

  * dwww-build-menu: don't complain about directories that don't need
    to exist (closes: #190362).
  * DocBase.pm: strip trailing whitespace while parsing doc-base files
    (closes: #193449).
  * dwww.menu-method: replace `$' with `-' in generated file names.
  * dwww-convert: it seems magic2mime command was removed from current file
    package, use `file -i' to find out mime types of files.
  * Minor fixes in html templates.

 -- Robert Luberda <robert@debian.org>  Mon, 19 May 2003 07:04:56 +0200

dwww (1.9.2) unstable; urgency=low

  * dwww-find:
    + packages' info files wasn't shown; fix regexp I broke in 1.9.0.
    + if dpkg-www is installed, add links to packages' pages created
      by its CGI script.
  * debian/control: suggests dpkg-www package.
  * debian/dwww.config: create /usr/lib/cgi-bin and /var/www if they
    don't exist (closes: #188267).
  * dwww needs CGI-capable web server, it won't work with e.g. dhttpd.
    Add this information to both README and description of dwww package.
    This addresses #186395, but doesn't fix it.
  * various files: fix spelling typos found with ispell.

 -- Robert Luberda <robert@debian.org>  Fri, 11 Apr 2003 00:28:14 +0200

dwww (1.9.1) unstable; urgency=low

  * Update French translation of debconf templates (closes: #186166).
    Thanks to  Denis Barbier <barbier@debian.org>.
  * Update German translation of templates from DDTP page.
  * Minor fixes in dwww-build-menu, dwww-convert and html templates.

 -- Robert Luberda <robert@debian.org>  Thu,  3 Apr 2003 22:58:43 +0200

dwww (1.9.0) unstable; urgency=low

  * Added new command dwww-build-menu, which creates `Debian Documentation
    Menu' page by parsing /usr/share/doc-base/* files.
    This give us better control on the content and look of the generated page
    (closes: #110354, #180603, #60483).
  * dwww.menu-method was changed to generate doc-base-like files in
    /var/lib/dwww/menu-methods for backward compatibility and to call
    call dwww-build-menu.
  * cron.daily:
    + call dwww-build-menu
    + code cleaning.

  * Added new dwww-index++, which parses doc-base files and generates index
    of registered documentation using index++ command from swish++ package
  * debian/dwww.cron.weekly: new script, calls dwww-index++
  * debian/control: dwww suggests swish++ package

  * dwww-find:
    + rewritten in Perl
    + add support for searching in `Debian Documentation Menu' page
    + add support for searching in registered documentation files
      (closes: #51886).

  * Wrote Perl modules, installed into /usr/share/perl5/Debian/Dwww, used by
    the above mentioned commands.

  * dwww.cgi:
    + pass some new arguments to dwww-find command.
    + don't fork a new process, just exec other programs.
    + some code cleanup.

  * Reorganise source tree:
    + removed old, unused files.
    + moved man pages to man/ directory.
    + moved cron.daily to debian/dwww.cron.daily.

  * lib/*: enclose templates variables with '%'s (e.g. change TITLE
    to %TITLE%)
  * Modified all dwww programs to support the above change in templates.

  * Update all man pages and wrote man pages for new commands.
  * Update COPYING from /usr/share/common-licenes/GPL.
  * Update TODO file.
  * Fix spelling of `man page' (s/manpage/man page) in all files.
  * Add dependency on doc-base (>= 0.7.17).
  * Drop build dependency on po-debconf as debhelper depends on it.
  * Bump Standards-Version to 3.5.9.

 -- Robert Luberda <robert@debian.org>  Mon, 17 Mar 2003 23:31:15 +0100

dwww (1.8.8) unstable; urgency=low

  * debian/dwww.preinst:
    + remove an old code from dwww 1.5.0
    + remove any `*.saved_by_dwww_preinst' files, generated by dwww 1.5.0
      (closes: #182920).
    + remove `/index.html' misgenerated by dwww 1.8.0 (see: #181036, #162905).

  * dwww-build (man_by_section_index): add more descriptions.
  * functions.sh.in: add `/var/www' to default value of DWWW_ALLOWEDLINKPATH
    (info2www doc-base entry needs this).
  * dwww.8: update for new version of man2html package.
  * lib/dwww.template: fix line endings.

 -- Robert Luberda <robert@debian.org>  Sun,  2 Mar 2003 16:30:55 +0100

dwww (1.8.7) unstable; urgency=low

  * dwww-convert:
    + convert_html_anchors(): do not convert absolute links that starts
      with /cgi-bin/.
  * dwww-txt2html.c:
    + allow `+' and `@' in URLs
      (e.g. http://www.suse.de/~florian/kernel+egcs.html
       and http://bugs.debian.org/debian-gcc@lists.debian.org)
    + allow `+' in dirnames.

 -- Robert Luberda <robert@debian.org>  Sat, 25 Jan 2003 12:58:56 +0100

dwww (1.8.6) unstable; urgency=low

  * dwww-txt2html.c:
    + output the last line of file even if it doesn't end with `\n'
    + while converting man pages cut off the repeated newlines.

 -- Robert Luberda <robert@debian.org>  Sat,  4 Jan 2003 10:26:45 +0100

dwww (1.8.5) unstable; urgency=low

  * dwww-convert: convert_html_anchors(): do properly quote $1 and $2 passed
    to perl, so it now works with html files which names contain spaces, like
    `CCCC User Guide.html' in /usr/share/doc/cccc.
  * dwww-find: improve perl regexp used to handle output of apropos command.

 -- Robert Luberda <robert@debian.org>  Sun, 15 Dec 2002 13:10:21 +0100

dwww (1.8.4) unstable; urgency=low

  * Converted debconf templates to po-debconf.
  * Removed dependency on awk (lintian).

 -- Robert Luberda <robert@debian.org>  Tue, 10 Dec 2002 00:31:08 +0100

dwww (1.8.3) unstable; urgency=low

  * dwww-find:
    + better formatting of package descriptions
    + apropos search handles lines like `foo (1) [bar] - foobar' correctly
      (i.e. makes reference to bar.1, not to foo.1)
    + improve html formatting of search results page.
  * Rename dwww.find.start (in /usr/share/dwww) to dwww-find.start.

  * dwww-cache:
    + fix format string used to generate paths (s|%20s|%.20s|g)
    + s/size_t/ssize_t/ everywhere where it's needed.

  * Many files: encode `&' as `&amp;' in URLs.
  * Makefile: added -Wstrict-prototypes -Wmissing-prototypes to CFLAGS.
  * dwww: support www-browser.
  * Standards-Version: 3.5.8 (no changes).

 -- Robert Luberda <robert@debian.org>  Mon, 25 Nov 2002 23:45:30 +0100

dwww (1.8.2) unstable; urgency=low

  * dwww: add support for x-www-browser and galeon (closes: #162515).

 -- Robert Luberda <robert@debian.org>  Thu, 24 Oct 2002 07:48:36 +0200

dwww (1.8.1) unstable; urgency=high

  * dwww-build: Oops, don't create index.html in the root directory
    (closes: #162905).

 -- Robert Luberda <robert@debian.org>  Thu,  3 Oct 2002 09:25:54 +0200

dwww (1.8.0) unstable; urgency=low

  * Remove DWWW_SERVERTYPE and automatic searching for installed web servers.
    Now dwww doesn't try to guess DWWW_DOCROOTDIR, DWWW_CGIDIR, and other
    variables. You have to set them by hand (with debconf or by editing
    /etc/dwww/dwww.conf (closes: #157023).
    Rationale: We have almost 20 different web servers in Debian. It's very
    hard to handle them all, and probably it's not even needed since most
    of them uses default settings as required by the Debian Policy.
    Updated flies: debian/{dwww.config, dwww.postinst, dwww.templates*}.

  * dwww-convert:
    + If requested file does not exist, check for file with suffix ".en"
      (closes: #117781).
    + Introduced distinction between
        type=file&location=/path/to/directory (shows index.htm* file if exists)
      and
        type=dir&file=/path/to/directory (shows contents of the directory).
    + If file extension starts with a number, and file path contains "/man/",
      assume it is a man page.

  * dwww-build:
    + Don't use subdirectory of /var/cache/dwww (which can be removed by a
      local admin) for temporary files; use `tmpfile' command instead.
    + man_by_section_index: If we have man pages in section Nxxx, but not in
      section N, force section N to be listed (e.g. 9gii and 9).
    + Add `set -e'.
    + Remove unneeded (and already commented out) parts of code.

  * dwww: added elinks to TXT_BROWSERS.

  * Standards-Version: 3.5.7
  * Build with debhelper v4.
  * Handle DEB_BUILD_OPTIONS=noopt,nostrip (and as my addition: nodebug)

 -- Robert Luberda <robert@debian.org>  Fri, 13 Sep 2002 08:59:45 +0200

dwww (1.7.9) unstable; urgency=low

  * dwww-convert:
    + Do not convert css files to html (closes: #155993).
    + Added builtin_css2css function which converts URIs in url() property.
    + Print the Last-Modified header.
    + Always print the Content-Disposition header.

 -- Robert Luberda <robert@debian.org>  Thu, 15 Aug 2002 21:11:15 +0200

dwww (1.7.8) unstable; urgency=low

  * dwww-convert:
    + Applied patch from  Daniel Martin <martin@snowplow.org>, who rewrote
      the html2html convert procedure, so it can correctly handle `+' symbols
      in URIs now (closes: #151637).
    + Fixed the bad_symlink function (closes: #154801).
    Many thanks for your help, Daniel!

  * dwww-convert:
    + Added ErrorMsg function for better handling of errors.
    + If a file doesn't exist, check with badfile() if the file would be
      under some directory in DWWW_DOCPATH, and if yes -  show
      "File not found" error message instead of "Access denied".

  * dwww-find: fixed broken regexp in apropos handling function
    (closes: #155188).
  * I can't reproduce the "Use of uninitialised value ..." bug, probably
    it was a debconf bug (closes: #137254).

 -- Robert Luberda <robert@debian.org>  Thu,  8 Aug 2002 23:27:36 +0200

dwww (1.7.7) unstable; urgency=low

  * Recompile for unstable.

 -- Robert Luberda <robert@debian.org>  Mon, 24 Jun 2002 23:47:46 +0200

dwww (1.7.6.woody.1) woody-proposed-updates; urgency=low

  * Upload to woody, no changes in source.
    The current dwww version in woody is 1.7.4, but I'd like to see 1.7.6
    there: it has fixed a few of bugs and no new bug has been reported
    for 6 weeks. So it really is worth including in woody, I think.

 -- Robert Luberda <robert@debian.org>  Mon, 24 Jun 2002 23:23:25 +0200

dwww (1.7.6) unstable; urgency=low

  * dwww-quickfind.c: don't allow package names to contain spaces or commas
    (closes: #146116).
  * dwww-find: show info for all packages returned by dwww-quickfind, not only
    the first one.
  * dwww-find, dwww-build: signal handling with `trap' command.

 -- Robert Luberda <robert@debian.org>  Wed,  8 May 2002 08:47:22 +0200

dwww (1.7.5) unstable; urgency=medium

  * dwww-find: removed bashism (closes: #144253).
  * dwww.cgi: Allow `[' character (closes: #142019).
  * dwww(1) now uses DWWW_BROWSER or DWWW_X11_BROWSER, if defined in
    /etc/dwww/dwww.conf, to load the dwww page. Also if the variables are not
    defined, we prefer mozilla over netscape (closes: #143850, #130500).
  * Minor fixes in html templates.

 -- Robert Luberda <robert@debian.org>  Thu, 25 Apr 2002 08:58:12 +0200

dwww (1.7.4) unstable; urgency=low

  * dwww-find:
    + call tmpfile to create temporary files insted of putting them in
      /var/cache/dwww.
    + it now can display packages' description (using apt-cache for that).
    + to speedup use dlocate, if found.
  * debian/control: recommend dlocate and apt.
  * Modified and cleaned up templates, esp. changed foot of generated pages.
  * dwww-convert:
    + generate Content-Disposition header.
    + readded support for type=info; new builtin_info2html just calls info2www.
  * dwww-daily, dwww-format-man: call su with option -s to override
    user www-data's shell (closes: #141459).
  * Closing old bugs, which seem to have been already fixed:
    closes: #36088, #15767.

 -- Robert Luberda <robert@debian.org>  Sun,  7 Apr 2002 19:41:25 +0200

dwww (1.7.3) unstable; urgency=low

  * dwww-txt2html.c: it now supports references divided into two lines,
    when converting man pages.

  * Added Spanish translation of template file (closes: #136482).
    Thanks to Carlos Valdivia Yagüe <valyag@hotpop.com>.
  * Added French translation of template file (closes: #137055).
    Thanks to Philippe Batailler <pbatailler@teaser.fr>.

  * debian/control: dwww recommends doc-base.
  * dwww-daily: added `set -e'.
  * realpath -s does not check if file exists.

  * Modified maintainer scripts (dwww.config, dwww.postinst, dwww.preinst)
    to better handle upgrading from potato (dwww version 1.4.3.5-1.9):
    + read settings from dwww.conf and don't ask about them (closes: #103329).
    + remove /etc/*/dwww files unless modified.

  * dwww(8) updated and reformatted:
    + described missing configuration variables.
    + added information how to configure dwww to use man2html to convert
      man pages (closes: #61802).
    + added dwww.conf(5) as symlink to dwww(8).

 -- Robert Luberda <robert@debian.org>  Tue, 19 Mar 2002 08:07:04 +0100

dwww (1.7.2) unstable; urgency=low

  * It seems the boa web server sets strange umask (0177) and closes stderr
    for spawned cgi programs. Because of that, dwww-cache had written its error
    messages to .cache_db and than segfaulted on such broken database file.
    To fix the problem (closes: #134382):
    + functions.sh: added dwww_initialize function, which i.a. sets default
      umask 022 for all dwww scripts.
    + added utils.c with dwww_initialize, which sets umask and reopens stdin,
      stdout and stderr.
    + dwww-cache.c: s/sprintf/snprintf/ almost all.

  * dwww-convert:
    + builtin_html2html no longer uses DWWW_SERVERNAME when converting
      anchors. Now it outputs anchors like "/cgi-bin/dwww....", not
      "http://$DWWW_SERVERNAME/cgi-bin/dwww..." (closes: #112843).
    + it also converts <APPLET ARCHIVE=""> links.
    + correctly handles case when type=dir and location=/path/to/not/dir.

  * dwww-quickfind rewritten, now it stores informations about packages,
    not only programs (closes: #132000).
    + removed an item from TODO, updated dwww(1) man page.

  * dwww.template: rewritten by William Clifford <wobh@yahoo.com>, so it now
    uses CSS and validates with w3's html validator.
    Thanks, William!

  * cron.daily/dwww: set maxdepth in find expression to 2, so now cache dir
    will get cleaned.

 -- Robert Luberda <robert@debian.org>  Fri, 22 Feb 2002 08:47:54 +0100

dwww (1.7.1) unstable; urgency=low

  * dwww-txt2html partially rewritten to adds anchors for more types of URIs:
    + http and ftp sites (e.g. ftp.somewhere.com)
    + mail addresses (foo@bar.com)
    + documentation references in /usr{/|/share|/local}/{doc|man} dirs
    + `closes #bug_no' statements
  * Option --man is ignored, dwww-txt2html converts manual page references in
    all documents.

  * Cache also text/plain documents.
  * Added new file /usr/share/dwww/functions.sh with common functions.

  * Do better output formatting using <TABLE> tags in dwww-find and function
    builtin_dir2html from dwww-convert.
  * dwww-convert:builtin_man2html now displays man pages which contains '.so'
    requests like lastb(1).
  * dwww-convert: added /usr/share/common-licenses/ to DWWW_DOCPATH.

  * dwww.cgi, dwww-convert: handle filenames with spaces like "Readme
    Win32.txt" in /usr/share/doc/overkill.

  * Ups, dwww-format-man got broken in 1.7.0 :(. Now is OK, I think.
  * Updated dwww-txt2html(8) and some other man pages.
  * Removed items about packaging style from TODO file.

 -- Robert Luberda <robert@debian.org>  Tue, 29 Jan 2002 21:15:21 +0100

dwww (1.7.0) unstable; urgency=low

  * Cache improvements (closes: #113529, #128263):
    + when a document is stored in the cache, set its mtime to mtime of
      original file.
    + create lock on cache database with flock.
    + added DWWW_USE_CACHE variable, so cache mechanism can be turned off
      if somebody doesn't like it.
    + action --store does not only store file in the cache, but also it
      outputs the file into the stdout.
    + cached documents are stored in subdirectories.
    + minor other modifications.
  * Applied patch from Chris Tillman (closes: #126851).
  * dwww-format-man: su to $DWWW_USER.

 -- Robert Luberda <robert@debian.org>  Tue, 15 Jan 2002 09:05:10 +0100

dwww (1.6.12) unstable; urgency=low

  * Fixed long description of realpath package (closes: #125306, #124253).

 -- Robert Luberda <robert@debian.org>  Sat, 22 Dec 2001 21:52:27 +0100

dwww (1.6.11) unstable; urgency=low

  * realpath moved to a separate package (closes: #52483).
  * dwww-convert: handle <META HTTP-EQUIV=REFRESH...> (closes: #121909).
  * debian/config: fixed perl warning (closes:#113891).

 -- Robert Luberda <robert@debian.org>  Sat,  8 Dec 2001 08:47:03 +0100

dwww (1.6.10) unstable; urgency=low

  * Added support for apache-ssl (closes: #111377).

 -- Robert Luberda <robert@debian.org>  Sun, 23 Sep 2001 22:26:18 +0200

dwww (1.6.9) unstable; urgency=low

  * Fix problem with permissions of /var/cache/dwww, introduced in 1.6.7 (closes: #110692).

 -- Robert Luberda <robert@debian.org>  Mon,  3 Sep 2001 00:35:10 +0200

dwww (1.6.8) unstable; urgency=low

  * dwww: added support from more browsers, including X11 browsers, based on script from
    dpkg-www package (closes: #110549).
  * We suggests links|www-browser since now.
  * Some fixes in man pages.

 -- Robert Luberda <robert@debian.org>  Wed, 29 Aug 2001 22:55:58 +0200

dwww (1.6.7) unstable; urgency=low

  * Fix "argument list too long" bug in postinst script (closes: #110377).
  * dwww-build: added --verbose option; print all "bad file ... skipped" warnings only
    in --verbose mode (closes: #110364).
  * Fix question in debconf template (closes: #110136).

 -- Robert Luberda <robert@debian.org>  Tue, 28 Aug 2001 20:32:55 +0200

dwww (1.6.6) unstable; urgency=low

  * realpath.c: added a -s option.
  * dwww-convert: corrected DWWW_ALLOWEDLINKPATH code, so this feature
    should work now (closes: #106819).
  * dwww-convert: code cleanups.

 -- Robert Luberda <robert@debian.org>  Thu, 23 Aug 2001 23:49:23 +0200

dwww (1.6.5) unstable; urgency=low

  * dwww-convert: Removed debugging code left by my mistake.

 -- Robert Luberda <robert@debian.org>  Fri, 17 Aug 2001 07:41:17 -0400

dwww (1.6.4) unstable; urgency=low

  * Added a Brazilian Portuguese debconf template translation.
    Thanks to Andre Luis Lopes <andrelop@ig.com.br>. (Closes: #108525).

  * dwww-convert: added a DWWW_ALLOWEDLINKPATH variable (default to /usr/share:
    /usr/lib). This allows dwww to display a file, which is a symlink which
    points from file in directory included in DWWW_DOCPATH to file in a
    directory from DWWW_ALLOWEDLINKPATH (closes: #106819).

  * dwww.template: change location of documentation folders, really this time.

 -- Robert Luberda <robert@debian.org>  Tue, 14 Aug 2001 00:18:28 +0200

dwww (1.6.3) unstable; urgency=low

  * Added support for thttpd (closes: #103664) and roxen (closes: #104035).
  * menu-method: Encode URLs in generated menu file (closes: #106817).
  * Standards-Version: 3.5.6.
  * dwww.template: Change location of documentation folders
    to /usr/share/doc (closes: #107664).
  * Fix a typo in templates files.
  * Commented out unused parts of dwww-build.
  * Added dependency on awk, changed dependency on man to man-db.

 -- Robert Luberda <robert@debian.org>  Mon, 13 Aug 2001 01:09:05 +0200

dwww (1.6.2) unstable; urgency=low

  * Added German translation of debconf templates (closes: #99453)
    Thanks to Sebastian Feltel <sebastian@feltel.de>.
  * Added Polish translation of templates.
  * dwww-build: more fixes with building of man pages.
  * dwww-build: set $PATH explicitly (closes: #101339).
  * Changed debian logo (closes: #100016).
  * Do not install unused *.html files from lib/editorials.

 -- Robert Luberda <robert@debian.org>  Wed,  4 Jul 2001 23:47:35 +0200

dwww (1.6.1) unstable; urgency=low

  * dwww-convert: encode URL in dir2html and html2html functions
     (closes: #98396).
  * dwww-build: fix bug in building indexes of man pages.

 -- Robert Luberda <robert@debian.org>  Thu, 24 May 2001 19:34:22 +0200

dwww (1.6.0) unstable; urgency=low

  * Drop support for .dwww-index files, dwww-doc-index script removed too.
      (closes: #67739)
  * The menu method is now only method of generating documentation's index,
    so increased dependency on a menu package from `Recommends:' to `Depends:'.
  * Updated README file.

  * Debconf support added, old dwwwconfig script removed. New debconf
    config script should fix the problems listed below:
      + "dwww produces lots of output at installation time"    (closes: #11897)
      + "dwww postinstall emits diagnostic but does not fail!" (closes: #29272)
      + "dwwwconfig does not honour SERVERTYPE setting..."     (closes: #62605)
      + "wrong heuristic for finding active www server"        (closes: #94297).

  * Modified dwww's html templates and Debian logo added (closes: #29015).
  * debian/prerm, debian/postrm: remove & purge cleanly (closes: #96059).
  * Wrote missing man pages: dwww-find.8, dwww-quickfind.8, dwww-txt2html.8
     (closes: #23315).
  * dwww works with wn again (closes: #26074).
  * dwww-build, dwww.cgi, dwww-text2html: do proper URL encoding.

  * Include /var/www/dwww symlink in the package as /var/www is a standard
    Debian `web document root' (closes: #9365).
  * The above mentioned symlink must be absolute (because /var/www can be
    a symlink itself), so override lintian complains about that.

  * Standards-Version: 3.5.4

 -- Robert Luberda <robert@debian.org>  Sun, 20 May 2001 17:02:10 +0200

dwww (1.5.2) unstable; urgency=low

  * dwww.cgi: convert %XX to alphanumeric *before* checking for invalid
    characters (closes: #93764).
  * dwww-build: we don't run update-menus, so we need to copy and save the
    menu.html file.
  * menu-method: remove generated menudefs.hook in postrun.
  * Added menu entry.
  * Updated debian/copyright.

 -- Robert Luberda <robert@debian.org>  Wed, 18 Apr 2001 23:23:23 +0200

dwww (1.5.1) unstable; urgency=low

  * dwww-convert: Applied patch from Jean-Philippe Guerard
    <jean-philippe.guerard@mail.dotcom.fr>:
    + Several fixes in the HTML URLs conversion Perl script used in
      "dwww-convert". Should now correctly handle all URLs, including
      fragments, links splited over several lines, and unquoted URLs.
    + The HTML URLs conversion code used in "dwww-convert" is now in the
      "builtin_html2html" subroutine.
    + The HTML URLs conversion code in "dwww-convert" now handle
      <FRAME SRC=""> tags (closes: #11535).
    + In "dwww-convert", when trying to find out the file type, the file
      extension is checked to guess the file type, then, if unsuccessful,
      the "file" command is used (closes: #62735).
  Many thanks for the patch, Jean.

  * dwww-convert: minor other improvements.
  * debian/postinst: dwww's database is built in the background (closes: #8907).

  * Fixes in menu-method:
    + make it compatible with menu-2 (closes: #37378).
    + add "runonlyasroot" option (closes: #51206).
    + add support for external links with "url" entry (closes: #14041).

  * dwww-build: do not call update-menus. There is no such need since every
    package which provides menu entry file, should call updates-menu in its
    postinst script (closes: #29502, #54694, #64263, #77331).

  * Closing NMU fixed bugs: closes:  #8940, #10042, #10756, #17478, #19054,
    closes: #30058, #34432, #34855, #37856, #38317, #38821, #43904, #45902,
    closes: #45375, #47469, #48892, #49072, #49336, #49664, #51177, #53355,
    closes: #59185, #60557, #60664, #62158, #62394, #62596, #62726.

 -- Robert Luberda <robert@debian.org>  Sun,  8 Apr 2001 22:42:02 +0200

dwww (1.5.0) unstable; urgency=low

  * New maintainer (closes: #90877).
  * realpath: accept multiple arguments as documented in man page
    (closes: #65628).
  * dwww-convert: check if we are allowed to show a file before checking if
    the file exists (closes: #69968).
  * dwww-convert: if requested file does not exist, check if we can show
    compressed file (closes: #67916, #67917, #9338).
  * dwww-txt2html.c: dots and colons are allowed in manual pages names
    (closes: #9694, #26794, #41106).
  * dwww.cgi: if called without arguments, send redirect to dwww main page
    (closes: #76622).
  * dwwwconfig: fix typo in regular expression (closes: #63983).
  * dwww: added support for links and w3m browsers (closes: #23786).
  * Repackaged with debhelper v3.
  * Added Build-Depends (closes: #70364).
  * Supports DEB_BUILD_OPTIONS=debug,nostrip.
  * Updated man pages.
  * FHS updates: move cache dir to /var/cache/dwww, dwww templates to
    /usr/share/dwww.

 -- Robert Luberda <robert@debian.org>  Mon, 26 Mar 2001 22:56:32 +0200

dwww (1.4.3.5-1.9) frozen unstable; urgency=medium

  * Non-maintainer upload on behalf of Jean-Philippe Guerard
    <jean-philippe.guerard@mail.dotcom.fr>.
  * Really solve the relative link bug in html documents.
    dwww-convert now take into account links starting with
    "#" that are references to the current document.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 14 May 2000 14:15:05 +0200

dwww (1.4.3.5-1.8) frozen unstable; urgency=medium

  * Non maintainer upload.
  * Updated the search pattern to include files in /usr/share/doc/.
    (Closes: #62726)
  * Empty arguments for dwww-build are now equivalent to --default.
    (Closes: #62596)
  * If the file is a link, overall file type is found by looking
    at the file, not at the file link. (Closes: #62394, #30058)
  * dwww now points only to /usr/doc, but lists also symlinks to
    /usr/share/doc. (Closes: #62158, #50260, #49664)
  * Rephrased the document root selection dialog. (Closes: #59185)
  * Updated dpkg-build to accept dates containing "/" characters.
    Patch by Mike Charlton. (Closes: #51177, #60664)
  * Added support for method HEAD in dwww.cgi.
    Patch by Jon Nelson. (Closes: #17478)
  * These bugs seem to be already fixed !
    (Closes: #48892, #49060, #49132, #49336, #10756, #37250, #42979)
    (Closes: #45151, #53424, #38317, #37856, #34855, #9338)

 -- Jean-Philippe Guerard <jean-philippe.guerard@mail.dotcom.fr>  Mon,  8 May 2000 21:26:54 +0000

dwww (1.4.3.5-1.7) frozen unstable; urgency=medium

  * Non maintainer upload. I think dwww should be considered orphaned.
  * Fixed browsing of directories. Support both /usr/doc and
    /usr/share/doc. More consistent "type" handling in dwww-convert.
    Patch by Jean-Philippe Guérard. (Fixes: #55858, #57791)
  * Added /usr/share/info and /usr/local/info to dwww-convert's DWWW_DOCPATH.
  * Have both /usr/doc and /usr/share/doc in the top file.
  * Install postrm.
  * FHS migration. (Fixes: #48885)
  * Updated Standards-Version and made it lintian-clean.
  * Cleaned up the source archive.
  * Fixed HTML files and added DOCTYPE; they now validate using nsgmls.
  * Updated locations in copyright file.
  * Remove /etc/dwww/dwww.conf on purge. (Fixes: #37621)
  * Some bug reports are no longer applicable/reproducable.
    (Fixes: #10449, #34398, #25477, #26492, #32556, #32032, #34447, #36701, #46697)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  5 Mar 2000 15:45:34 +0100

dwww (1.4.3.5-1.6) frozen unstable; urgency=low

  * Non maintainer upload.
  * Corrected MIME type returned for converted manual pages using Roland
    Rosenfeld's patch. (Fixes: #53355, #54220, #58021)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 23 Feb 2000 20:23:12 +0100

dwww (1.4.3.5-1.4) unstable; urgency=low

  * Non maintainer upload.
  * [dwww-convert] Determine file types using file + magic2mime rather than
    guessing on the basis of a filename extension. (introduces dependency on
    file). Handle compression of non-HTML files.
  * [dwww-convert] Handle more types of links:
    * LINK HREF, so style-sheets like in wdg-html-reference's
      "html40/index.html" works.
    * BODY BACKGROUND. (Closes: #8940)
  * Fixed links to "undocumented" man page. (Closes: #51045)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  4 Dec 1999 11:51:32 +0100

dwww (1.4.3.5-1.3) unstable; urgency=low

  * Non maintainer upload.
  * [debian/rules] Added removal of debian/files to clean target
    (closes: #49072).

 -- Torsten Landschoff <torsten@debian.org>  Mon,  8 Nov 1999 19:33:23 +0100

dwww (1.4.3.5-1.2) unstable; urgency=low

  * Fixing small thinko, really closing #43094

 -- Martin Bialasinski <martinb@debian.org>  Tue,  2 Nov 1999 21:47:28 +0100

dwww (1.4.3.5-1.1) unstable; urgency=low

  * NMU.
  * Recompiled against fixed publib-dev; fixes dwww-txt2html crashes.
    (Closes: #38821, #45092, #45375).
  * [dwwwconfig] Fixed chown call to protect against whole system chown in
    case of pilot error. (Closes: #43094).
  * [dwww-find] use /bin/sh rather than bash. (Closes: #19054).
  * [dwww.cgi] Fixed filename match regexp as per Mark Summerfield's
    suggestion. Makes dwww deal with perl module man pages properly.
    (Closes: #26794, #34015, #34456, #35788, #41106)
  * [Makefile] Use '!' as negator in character-class glob to remove '^'
    bashism. (Closes: #47469)
  * Applied AMAZING CURE 4 HAIR LOSS to README and make it go boldly.
    (Closes: #34432)
  * Put in a note in the README to point to doc-base as the uniform
    documentation registration system.
  * My older NMU has been acknowledged implictly. (Closes: #37378)
  * The cron job cds to a known-good directory since 1.4.1-1 (Closes: #10042)
  * The cron job does not seem to call update-menus anymore. (Closes: #29502)
  * Call update-menus in postinst and postrm (Lintian).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 30 Oct 1999 15:57:54 +0200

dwww (1.4.3.5-1) unstable; urgency=low

  * Change dependency to perl5.

 -- Jim Pick <jim@jimpick.com>  Mon,  5 Jul 1999 21:36:14 -0700

dwww (1.4.3.4-0.3) unstable; urgency=low

  * Use new-style menu-methods file (from menu's examples), as menu's
    handling of old-style menu-methods is currently broken (#37379).
    Fixes #37378.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 24 May 1999 12:18:56 +0200

dwww (1.4.3.4-0.2) frozen unstable; urgency=high

  * Remove reference to i386 and make it build on "any" again
  * Fix postrm to make purge really work this time.

 -- Joost Kooij <Joost.Kooij@nl.origin-it.com>  Thu, 25 Jun 1998 16:51:52 +0200

dwww (1.4.3.4-0.1) frozen unstable; urgency=high

  * Fix detection of wn webserver to make it work with newer version.
    (Bug#23790)

 -- Joost Kooij <Joost.Kooij@nl.origin-it.com>  Tue, 23 Jun 1998 11:55:20 +0200

dwww (1.4.3.3-0.1) frozen unstable; urgency=high

  * Back out chowning group of /var/spool/dwww in /usr/sbin/dwwwconfig.
    (Bug#237716)

 -- Joost Kooij <Joost.Kooij@nl.origin-it.com>  Mon, 22 Jun 1998 09:29:40 +0200

dwww (1.4.3.2-0.1) frozen unstable; urgency=high

  * Fix use of /tmp for tempfiles in a lot of places: tempfiles are now
    created in /var/spool/dwww.  Also fixed earlier "fix" that used
    /var/lib/dwww for tempfiles.  This should fix the errors from various
    dwww-* tools that also caused cron.daily/dwww to send a daily complaint
    mail to root.  (Bug#16212)
  * Install the dwww cgi script in /usr/lib/cgi-bin instead of /usr/lib/dwww.
    Changed dwwwconfig to create a copy instead of a symlink of the dwww cgi
    script to the effective cgi-bin directory if it is in a non-standard
    location.  (Bug#11584,22018,22153,22173,23439)
  * Fix $ENV{PATH} in /usr/lib/dwww/dwww.cgi ; don't be so paranoid that
    dwww's children can't find basic stuff like grep and awk anymore.
    (Bug#16506,19045)
  * The "_" character is not a real security hazard. But it is used in a
    surprisingly high number of documentation filenames.
    (Bug#18203,18356,22229,23440)
  * Actually install dwww.1 man page.  (Bug#9366,9369,9817)
  * Remove old backup file dwww.cgi~ from the source
  * Fixed the following reported lintian errors & warnings:
     - binaries w/o man pages (linked to undocumented.7.gz);  (Bug#8327)
     - don't compress copyright file;
     - do compress man pages;  (Bug#15706)
     - made symlinks to cgidir and webroot absolute.
    This should leave only the warning about the standards version, which
    is a good reminder to really audit dwww sometime soon. (Bug#6356)
  * No need to use the anti-social bashist "function" keyword in a /bin/sh
    script. ;-) (Bug#23624,10713)
  * Added descriptions for man pages in section 3thr (Bug#8875) and section 1db.
  * Added postrm script that can purge /etc/dwww/dwww.conf.  (Bug#18110)
  * Added perl to the Depends: because dwwwconfig uses Getopts::Long which
    is only available in perl.  (Bug#9101)
  * Added Suggests: lynx.  (Bug#23546)
  * Upped the upstreams version number.

 -- Joost Kooij <Joost.Kooij@nl.origin-it.com>  Thu, 18 Jun 1998 9:25:58 +0200

dwww (1.4.3-1) unstable; urgency=high

  * Another CGI security bug that allowed execution of arbitrary
    commands.  I am now specifying a set of acceptable characters, rather
    than excluding certain ones and using perl -T.  Fixes bug #18107
    (Thanks to Martin Bialasinksi)
  * I know there are lots of other non-security bugs outstanding.  They will
    be fixed in an upcoming, more substantial release.
  * libc6 version.

 -- Jim Pick <jim@jimpick.com>  Thu, 12 Feb 1998 00:51:17 -0800

dwww (1.4.2-1) stable; urgency=high

    * Another CGI security bug that allowed execution of arbitrary
      commands.  I am now specifying a set of acceptable characters, rather
      than excluding certain ones and using perl -T.  Fixes bug #18107
      (Thanks to Martin Bialasinksi)
    * I know there are lots of other non-security bugs outstanding.  They will
      be fixed in an upcoming, more substantial release.
    * Compiled for libc5 for bo-updates.

 -- Jim Pick <jim@jimpick.com>  Wed, 11 Feb 1998 23:22:37 -0800

dwww (1.4.1-1.1) unstable; urgency=high

  * libc6 compile
  * non-maintainer release
  * changed filelist="/tmp/dwww-find.list.$$" in dwww-find to
    filelist="/var/lib/dwww/find.list.$$" (Fixes: Bug#11830)

 -- Joel Klecker <jk@espy.org>  Wed, 31 Dec 1997 12:13:36 -0800

dwww (1.4.1-1) frozen unstable; urgency=high

  * Fixed major security flaw: dwww.cgi would accept backquotes
    and '$' characters, then pass them on to bash.  This enables
    people to execute commands as the CGI user.  Particularily
    dangerous if someone configures their web server to run
    CGI programs as root. dwww.cgi was modified to convert all
    backquotes and dollar signs into underscores.
  * dwww.cgi: don't convert '+' characters into spaces - fixes
    bug #8563 (Thanks Lars Wirzenius and Joost Witteveen)
  * dwwwconfig: place quotes around DWWW_SERVERTYPE in
    /etc/dwww/dwww.conf to cope with server names with space
    such as CERN httpd - fixes bug #8525
  * /etc/cron.daily/dwww: added line to cd to /var/spool/dwww
    to prevent error message that someone was having (not me)
    - fixed bug #8591

 -- Jim Pick <jim@jimpick.com>  Tue, 8 Apr 1997 12:00:21 -0700

dwww (1.4-1) unstable; urgency=low

  * Added emacs lines to changelog
  * dwww-convert: accepts HTML files that end in .htm  - previously
    only .html was supported)
    (Thanks to Susan G. Kleinmann)
  * dwww-convert: properly handles files that do not exist
  * dwww-convert: checks for a .html.gz file if a .html file does
    not exist, and vice-versa
    (Thanks to Brian C. White)
  * dwww-convert: modified perl code in script to do replacements
    over the entire HTML file instead of doing it line by line
  * added full path to dwww-cache in /etc/cron.daily/dwww
    (Thanks to Herbert Xu for reporting the bug, and Henrik
    Wallin for the fix) - fixes bug #7088
  * made fixes to dwww-find and dwww-doc-index to make dwww work
    with bash 2.0 - fixes bugs #7103, #7143 and #7156
    (Thanks to Szymon M. Rusinkiewicz and Joey Hess)
  * dwww-convert: fixed small bug which confused newlines with
    contents of href tags
  * dwww-convert: recognize when filename is a directories.  It it
    is, then check for index.htm* files, and display them as
    standard files if found.  Removed code from
    builtin_dir2html() that would display index.htm* files.
  * dwww-convert: optimized builtin_dir2html() by using new
    feature of accessing directories using 'file' type.  Removed
    sed scripts.  Massive performance boost.  :-)
  * dwww-convert: fixed builtin_dir2html() to do file links to
    all types of *.htm* files when using DWWW_USEFILEURL
  * dwww-convert: added code to check for .htm, .html, .htm.gz,
    and .html.gz files when file not found.  Also, strip off
    HTML anchors.
  * Makefile, debian/rules: reworked directories, added
    /var/lib/dwww/html.  Changed documentation files to be mode
    0644.  Removed sticky bit from /var/spool/dwww directory and
    removed /var/spool/dwww/.cache_db file.
  * dwww-doc-index: changed function names to be compatible with
    sh and bash - fixes bug #7267
    (Thanks Bill Wohler)
  * adminlinks.htm, docintro.html, search-docs.html: removed these
    incomplete .html files to ./lib/editorial directory
  * dwww-build, dwww.template: Make more lynx friendly -- build man
    page indexes in separate directories.  Put search engine first.
    Remove link to docintro.html (it's incomplete).  Add link to
    menu.html.
  * dwww, dwww-build, dwww.1, dwww.8, postinst:  Change location of
    main index page from http://localhost/dwww/dwww.html to
    http://localhost/dwww/index.html.
  * dwww-build, html templates: modified so that there are new
    indexes to the man pages, and they are in separate directories
    (much like how Yahoo is set up).
  * dwww-build, dwww.8: Make title configurable.
  * Added Joost Witteveen's Debian Documentation Menu (Thanks!).
  * change location for /etc/dwww.conf to /etc/dwww/dwww.conf
  * control: added Recommends: menu (>= 0.11)
  * dwwwconfig, Makefile, rules: moved dwwwconfig from debian
    directory in source to main directory
  * added /var/www/dwww and /usr/lib/cgi-bin/dwww symlinks - to
    conform to web standard
  * removed INSTALL.Debian file and removed many items from to do
    list
  * dwww-build: modified it to create index files for wn web server

 -- Jim Pick <jim@jimpick.com>  Sat, 22 Mar 1997 17:12:55 -0800

dwww (1.3-1) unstable; urgency=low

  * Removed references to localhost in dwww.template
  * Replaced references to file://localhost with
    reference to '/cgi-bin/dwww?type=file\&location=/usr/doc'
  * modified dwww-doc-index so that it doesn't complain if
    /usr/local/doc doesn't exist
  * added Perl code to dwww-convert to make links in html
    files point to cgi-script
  * added MIME headers to dwww-convert and removed them
    from cgi-script
  * added DWWW_SERVERNAME, DWWW_CGIUSER, and DWWW_USEFILEURL
    options to /etc/dwww.conf.  Modified dwww.8 man page.
  * modified dwww script, and dwww-convert script to use
    DWWW_SERVERNAME instead of localhost
  * if DWWW_USEFILEURL is set, revert back to old behaviour
    of using file:// URL's for performance
  * modified dwww-build so that it doesn't complain about
    directories in the manpath that don't exist
  * modified dwww-daily (/etc/cron.daily/dwww) to use
    DWWW_CGIUSER when calling dwww-cache --clean
  * tested dwww against five different web servers and wrote
    INSTALL.Debian file

 -- Jim Pick <jim@jimpick.com>  Sun, 19 Jan 1997 20:28:51 -0800

dwww (1.2.1-1) unstable; urgency=low

  * New maintainer, Jim Pick <jim@jimpick.com>
  * Added dwww-txt2html, dwww-doc-index and dwww-format-man to
    /usr/sbin directory - this should fix bugs #5604, #5674, #5785
  * Added set -e to postinst, prerm - fixes bug #5975
  * Modified dwww-daily, postinst to use www-data user when
    modifying /var/spool/dwww/.cache_db and set www-data to be
    owner of that file - fixes bug #5603

 -- Jim Pick <jim@jimpick.com>  Sun, 15 Dec 1996 23:25:55 -0800

dwww (1.2-1) unstable; urgency=low

  * Added debian/* into upstream source. This changelog now works for
    upstream source as well.
  * Moved dwwwconfig into debian/dwwwconfig.
  * Added /usr/local/doc and /usr/share/doc into dwww front page.
  * Fixed dwww-cache's --list and --list-all show that they don't show
    out-of-date documents.
  * Changed "Package specific directories" into a normal "dir" request
    to dwww.cgi. This makes new packages immediately visible.
  * Removed "Copyrights" and "Examples" from front page. They're now
    inside package specific directories.
  * Added a C program to convert text to HTML. Much faster than the old
    sed jungle, and works better, too. Does manual pages too. However,
    doesn't remove headers and footers yet (and the old shell script
    code was buggy, so I removed it).
  * Removed package specific directory listing and copyrights from
    front page (and dwww-build). The latter is no longer needed, the
    former is better done with dir2html and caching.
  * Removed support for Info files (use info2www instead, since it
    actually works).
  * Removed support for compressed files in the cache. It slowed things
    too much, and wasn't all that useful, unless you were _really_
    short on disk space.
  * Fixed bug in dwww-quickfind: now searching for "sh" doesn't find
    tkdesksh (for example), but always finds something that ends in
    /sh, i.e., /bin/sh. Still a problem if there is both a /bin/sh
    and a /usr/bin/sh.
  * dwww-quickfind: Reads output of "dpkg --search '*'" instead of
    /var/lib/dpkg/info/*.list. This gives more portability, but makes
    dwww-daily somewhat slower. Only looks at files that contain
    /bin/, /sbin/, /usr/games/, for speed reasons.
  * dwww-cache: strip unnecessary .html end from files in /var/spool/dwww.
  * Added dwww-format-man: batch format manual pages into the cache.
  * Added dependency on man, for obvious reasons.
  * Added lists of documents (dwww-doc-linux).
  * Added GPL as file COPYING.
  * Fixed man-sections.html.
  * dwww-cache: Added prefix compression.
  * dwww-build: fixed suffix removal from name (in.telnetd.8 used to
    result in "in", now in "in.telnetd")
  * dwww-build: doesn't find non-English manual pages (because they
    make lists confusing; a future version will create separate lists
    for each language)

 -- Lars Wirzenius <liw@iki.fi>  Sun, 17 Nov 1996 01:44:19 +0200

dwww (1.1-3) unstable; urgency=low

  * Previous upload failed due to bad .changes file.

 -- Lars Wirzenius <liw@iki.fi>  Wed, 9 Oct 1996 03:33:07 +0300

dwww (1.1-2) unstable; urgency=low

  * Updated to recognize new Apache setup.
  * Moved dwww link updating from postinst to /usr/sbin/dwwwconfig.
  * Upgrade does not require rebuild of dwww pages.

 -- Lars Wirzenius <liw@iki.fi>  Fri, 4 Oct 1996 23:52:00 +0300

dwww (1.1-1) unstable; urgency=low

  * New upstream release.
  * Fixed compilation bug: cern-httpd no longer needs to be installed.
  * Fixed postinst bug: now works if Apache is the only httpd installed.

 -- Lars Wirzenius <liw@iki.fi>  Wed, 2 Oct 1996 17:15:51 +0300

dwww (1.0-2) unstable; urgency=low

  * Added recommendation for info2www.
  * Fixed build-time dependency on cern-httpd (/home/httpd-data).

 -- Lars Wirzenius <liw@iki.fi>  Tue, 24 Sep 1996 21:26:46 +0300

dwww (1.0-1) unstable; urgency=low

  * First release.

 -- Lars Wirzenius <liw@iki.fi>  Tue, 24 Sep 1996 16:00:57 +0300
